Functions
IT_Management
Peripheral Driver » LL Driver » HMAC » Functions

## Functions
__STATIC_INLINE void | ll_hmac_enable_it_done (hmac_regs_t *HMACx)
| Enable the done interrupt for HMAC. More...
__STATIC_INLINE void | ll_hmac_disable_it_done (hmac_regs_t *HMACx)
| Disable the done interrupt for HMAC. More...
__STATIC_INLINE uint32_t | ll_hmac_is_enabled_it_done (hmac_regs_t *HMACx)
| Indicate whether Done Interrupt is enabled. More...
__STATIC_INLINE uint32_t | ll_hmac_is_action_flag_sha_ready (hmac_regs_t *HMACx)
| Indicate whether SHA Ready flag is set. More...
__STATIC_INLINE uint32_t | ll_hmac_is_action_flag_hmac_ready (hmac_regs_t *HMACx)
| Indicate whether HMAC Ready flag is set. More...
__STATIC_INLINE uint32_t | ll_hmac_is_action_flag_dma_message_done (hmac_regs_t *HMACx)
| Indicate whether DMA Transmit Message Done flag is set. More...
__STATIC_INLINE uint32_t | ll_hmac_is_action_flag_dma_done (hmac_regs_t *HMACx)
| Indicate whether DMA Transfer Done flag is set. More...
__STATIC_INLINE uint32_t | ll_hmac_is_action_flag_dma_error (hmac_regs_t *HMACx)
| Indicate whether DMA Transfer Error flag is set. More...
__STATIC_INLINE uint32_t | ll_hmac_is_action_flag_key_valid (hmac_regs_t *HMACx)
| Indicate whether Key Valid flag is set. More...
__STATIC_INLINE uint32_t | ll_hmac_is_action_flag_it_done (hmac_regs_t *HMACx)
| Indicate whether Done interrupt flag is set. More...
__STATIC_INLINE void | ll_hmac_clear_flag_it_done (hmac_regs_t *HMACx)
| Clear Done interrupt flag. More...

## Detailed Description

## Function Documentation

## ◆ ll_hmac_clear_flag_it_done()

__STATIC_INLINE void ll_hmac_clear_flag_it_done | ( | hmac_regs_t * | HMACx | ) |

Clear Done interrupt flag.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTERRUPT | DONE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 822 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_disable_it_done()

__STATIC_INLINE void ll_hmac_disable_it_done | ( | hmac_regs_t * | HMACx | ) |

Disable the done interrupt for HMAC.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTERRUPT | ENABLE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 645 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_enable_it_done()

__STATIC_INLINE void ll_hmac_enable_it_done | ( | hmac_regs_t * | HMACx | ) |

Enable the done interrupt for HMAC.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTERRUPT | ENABLE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  None |

Definition at line 626 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_action_flag_dma_done()

__STATIC_INLINE uint32_t ll_hmac_is_action_flag_dma_done | ( | hmac_regs_t * | HMACx | ) |

Indicate whether DMA Transfer Done flag is set.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STATUS | TRANSDONE_DMA | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 746 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_action_flag_dma_error()

__STATIC_INLINE uint32_t ll_hmac_is_action_flag_dma_error | ( | hmac_regs_t * | HMACx | ) |

Indicate whether DMA Transfer Error flag is set.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STATUS | TRANSERR_DMA | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 765 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_action_flag_dma_message_done()

__STATIC_INLINE uint32_t ll_hmac_is_action_flag_dma_message_done | ( | hmac_regs_t * | HMACx | ) |

Indicate whether DMA Transmit Message Done flag is set.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STATUS | MESSAGEDONE_DMA | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 727 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_action_flag_hmac_ready()

__STATIC_INLINE uint32_t ll_hmac_is_action_flag_hmac_ready | ( | hmac_regs_t * | HMACx | ) |

Indicate whether HMAC Ready flag is set.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STATUS | DATAREADY_HMAC | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 708 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_action_flag_it_done()

__STATIC_INLINE uint32_t ll_hmac_is_action_flag_it_done | ( | hmac_regs_t * | HMACx | ) |

Indicate whether Done interrupt flag is set.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTERRUPT | DONE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 803 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_action_flag_key_valid()

__STATIC_INLINE uint32_t ll_hmac_is_action_flag_key_valid | ( | hmac_regs_t * | HMACx | ) |

Indicate whether Key Valid flag is set.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STATUS | KEYVALID | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 784 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_action_flag_sha_ready()

__STATIC_INLINE uint32_t ll_hmac_is_action_flag_sha_ready | ( | hmac_regs_t * | HMACx | ) |

Indicate whether SHA Ready flag is set.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | STATUS | DATAREADY_SHA | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 689 of file gr55xx_ll_hmac.h.

## ◆ ll_hmac_is_enabled_it_done()

__STATIC_INLINE uint32_t ll_hmac_is_enabled_it_done | ( | hmac_regs_t * | HMACx | ) |

Indicate whether Done Interrupt is enabled.

\rst +———————-+———————————–+ | Register | BitsName | +======================+===================================+ | INTERRUPT | ENABLE | +———————-+———————————–+ \endrst

Parameters

  HMACx | HMAC instance

Return values

  State | of bit (1 or 0).

Definition at line 664 of file gr55xx_ll_hmac.h.